.mc-component-library .mc-stepper {
  display: flex;
  flex-direction: column;
  box-shadow: none !important;
}
.mc-component-library .mc-stepper .slide-from-right-transition-enter-active,
.mc-component-library .mc-stepper .v-window-x-reverse-transition-enter-active,
.mc-component-library .mc-stepper .slide-from-right-transition-leave-active {
  overflow: hidden !important;
  transition: transform 0.3s ease;
}
.mc-component-library .mc-stepper .slide-from-right-transition-enter-active .v-stepper-window, .mc-component-library .mc-stepper .slide-from-right-transition-enter-active .v-window__container, .mc-component-library .mc-stepper .slide-from-right-transition-enter-active .v-form, .mc-component-library .mc-stepper .slide-from-right-transition-enter-active .v-stepper-window-item, .mc-component-library .mc-stepper .v-window-x-reverse-transition-enter-active .v-stepper-window, .mc-component-library .mc-stepper .v-window-x-reverse-transition-enter-active .v-window__container, .mc-component-library .mc-stepper .v-window-x-reverse-transition-enter-active .v-form, .mc-component-library .mc-stepper .v-window-x-reverse-transition-enter-active .v-stepper-window-item, .mc-component-library .mc-stepper .slide-from-right-transition-leave-active .v-stepper-window, .mc-component-library .mc-stepper .slide-from-right-transition-leave-active .v-window__container, .mc-component-library .mc-stepper .slide-from-right-transition-leave-active .v-form, .mc-component-library .mc-stepper .slide-from-right-transition-leave-active .v-stepper-window-item {
  overflow: hidden !important;
}
.mc-component-library .mc-stepper .mc-stepper-header {
  justify-content: space-between;
  box-shadow: none !important;
  font-size: 16px;
  min-height: 55px;
  flex-wrap: wrap;
  overflow-x: hidden;
}
.mc-component-library .mc-stepper .mc-stepper-header > button {
  flex-grow: 1;
  height: 55px;
}
.mc-component-library .mc-stepper .mc-stepper-header > button .v-stepper-item__title {
  display: flex;
  align-items: baseline;
  gap: 20px;
}
.mc-component-library .mc-stepper .mc-stepper-header .v-skeleton-loader {
  width: 100%;
}
.mc-component-library .mc-stepper .mc-stepper-header .v-skeleton-loader .v-skeleton-loader__button {
  max-width: none;
}
.mc-component-library .mc-stepper .mc-stepper-header .v-stepper-item {
  justify-content: center;
  border-bottom: 1px solid rgb(var(--v-theme-border));
  padding: 10px;
}
.mc-component-library .mc-stepper .mc-stepper-header .v-stepper-item:not(.v-stepper-item--complete).v-stepper-item--selected .v-avatar {
  border: 1px solid rgb(var(--v-theme-primary));
  background: rgb(var(--v-theme-secondary));
}
.mc-component-library .mc-stepper .mc-stepper-header .v-stepper-item:not(.v-stepper-item--selected, .v-stepper-item--complete):disabled .v-avatar {
  border: 1px solid rgb(var(--v-theme-grey));
  background: none;
}
.mc-component-library .mc-stepper .mc-stepper-header .v-stepper-item:not(.v-stepper-item--selected, .v-stepper-item--complete):disabled .v-avatar i::before {
  background: rgb(var(--v-theme-surface));
}
.mc-component-library .mc-stepper .mc-stepper-header .v-stepper-item:not(.hide-title).v-stepper-item--selected {
  border-radius: 5px 5px 0 0;
  color: rgb(var(--v-theme-primary));
  border-bottom: 3px solid rgb(var(--v-theme-primary));
}
.mc-component-library .mc-stepper .mc-stepper-header .v-stepper-item:first-child {
  border-left: none !important;
}
.mc-component-library .mc-stepper .mc-stepper-header .v-stepper-item:last-child {
  border-radius: 5px 0 0 0 !important;
}
.mc-component-library .mc-stepper .mc-stepper-header .v-stepper-item--disabled {
  color: rgb(var(--v-theme-grey));
}
.mc-component-library .mc-stepper .mc-stepper-header .v-stepper-item--complete .v-avatar {
  border: 1px solid rgb(var(--v-theme-grey));
  background: rgb(var(--v-theme-success));
}
.mc-component-library .mc-stepper .mc-stepper-header .v-stepper-item .v-avatar {
  width: 15px !important;
  height: 15px !important;
  margin-bottom: 8px;
}
.mc-component-library .mc-stepper .mc-stepper-header hr, .mc-component-library .mc-stepper .mc-stepper-header .v-avatar {
  display: none;
}
.mc-component-library .mc-stepper .v-stepper-header {
  box-shadow: 0px 3px 1px -2px var(--v-shadow-key-umbra-opacity, rgba(0, 0, 0, 0)), 0px 1px 1px 0px var(--v-shadow-key-penumbra-opacity, rgba(0, 0, 0, 0.1)), 0px 1px 5px 0px var(--v-shadow-key-ambient-opacity, rgba(0, 0, 0, 0));
}
.mc-component-library .mc-stepper .v-stepper--alt-labels .mc-stepper-header .v-divider {
  margin: 15px -67px 0;
}
.mc-component-library .mc-stepper .v-stepper .v-stepper-actions {
  padding: 16px 25px;
  justify-content: end;
  z-index: 1;
  box-shadow: 0px 3px 1px -2px var(--v-shadow-key-umbra-opacity, rgba(0, 0, 0, 0)), 0px 0px 1px 1px var(--v-shadow-key-penumbra-opacity, rgba(0, 0, 0, 0.1)), 0px 1px 5px 0px var(--v-shadow-key-ambient-opacity, rgba(0, 0, 0, 0));
}
.mc-component-library .mc-stepper .v-stepper-window {
  margin: 0;
  flex: 1;
  display: flex;
  flex-direction: column;
  position: relative;
  overflow: hidden;
}
.mc-component-library .mc-stepper .v-stepper-window .v-window__container {
  flex: 1;
  display: flex;
  overflow: hidden !important;
}
.mc-component-library .mc-stepper .v-stepper-window .v-window__container .v-skeleton-loader {
  flex: 1;
  padding: 16px;
}
.mc-component-library .mc-stepper .v-stepper-window .v-window__container .v-skeleton-loader .v-skeleton-loader__button {
  margin: 0;
  height: 100%;
  max-width: none;
}
.mc-component-library .mc-stepper .v-stepper-window .v-window__container .v-form {
  flex: 1;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
}
.mc-component-library .mc-stepper .v-stepper-window .v-window-item {
  flex: 1;
  padding: 0 !important;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
}
.mc-component-library .mc-stepper .v-stepper-window .v-window-item .mc-stepper-step-content {
  padding: 0;
  margin-top: 32px;
}